Bug 118135 - won't start when SELinux is enforced
Summary: won't start when SELinux is enforced
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anacron   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-03-12 11:51 UTC by Tim Waugh
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-07 03:49:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2004-03-12 11:51:08 UTC
Description of problem:
Got this at boot with enforcing=1:

Starting anacron: anacron: Can't close stdin: Bad file descriptor
                                                           [FAILED]

Version-Release number of selected component (if applicable):
anacron-2.3-30
policy-1.8-10

How reproducible:
100%

Steps to Reproduce:
1. Boot with 'enforcing=1'.

Additional info:
Works fine when not enforcing.

Comment 1 Tim Waugh 2004-03-12 12:28:32 UTC
audit(1079094467.585:0): avc:  denied  { read write } for  pid=1722
exe=/usr/sbin/anacron path=/dev/pts/0 dev= ino=2
scontext=system_u:system_r:system_crond_t
tcontext=system_u:object_r:initrc_devpts_t tclass=chr_file

audit2allow says:

allow system_crond_t initrc_devpts_t:chr_file { read write };



Comment 2 Daniel Walsh 2004-03-14 11:57:45 UTC
Fixed in policy-1.8-14

Dan


Note You need to log in before you can comment on or make changes to this bug.